package flink.zanxiangnet.ad.monitoring.clickhouse.bean.annotation;

import java.lang.annotation.*;

@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.ANNOTATION_TYPE})
public @interface ClickhouseColumn {

    /**
     * MaxCompute中的列名
     *
     * @return
     */
    String value() default "";

    /**
     * 是否忽略该字段
     *
     * @return
     */
    boolean ignore() default false;

    /**
     * 是否是分区字段
     *
     * @return
     */
    boolean isPartitioned() default false;
}
