package flink.zanxiangnet.ad.monitoring.pojo.entity;

import lombok.Data;

@Data
public class CostHourDM {
    //时间-天
    public String dt;
    //真实时间
    public String createTime;
    //计划 id
    public String campaignId;
    //时间-小时
    public String hour;
    //广告id
    public String adId;
    //广告组id
    public String adgroupId;
    //创意id
    public String adcreativeId;
    //账号id
    public String accountId;
    //总消耗
    public long costTotal;
    //当天消耗
    public long costDay;
    //当天小时消耗
    public long costHour;
    //当前小时与前一小时消耗差额
    public long costDiff;
    //前一小时消耗金额
    public long costLastHour;
    //前一小时与前二小时消耗差额
    public long costLastHourDiff;
    //前二小时消耗金额
    public long costLastTwoHour;
    //前二小时与前三小时消耗差额
    public long costLastTwoHourDiff;
    //前三小时消耗趋势
    public long costLastThreeTrend;
    //消耗速度
    public double costSpeed;
    //总浏览量
    public long viewCountTotal;
    //天-总浏览量
    public long viewCountDay;
    //小时-总浏览量
    public long viewCountHour;
    //总平均千次曝光成本
    public long thousandDisplayPriceAll;
    //天-总平均曝光成本
    public long thousandDisplayPriceDay;
    //小时-总平均曝光成本
    public long thousandDisplayPriceHour;
    //总点击量
    public long validClickCountTotal;
    //天-总点击量
    public long validClickCountDay;
    //小时-总点击量
    public long validClickCountHour;
    //总平均点击率
    public double ctrAll;
    //天-总平均点击率
    public double ctrDay;
    //小时-总平均点击率
    public double ctrHour;
    //总点击均价
    public long cpcAll;
    //天-总点击均价
    public long cpcDay;
    //小时-总点击均价
    public long cpcHour;
    //总目标转化量
    public long conversionsCountTotal;
    //天-总目标转化量
    public long conversionsCountDay;
    //小时-总目标转化量
    public long conversionsCountHour;
    //总目标平均转化成本
    public long conversionsCostTotal;
    //天-总目标平均转化成本
    public long conversionsCostDay;
    //小时-总目标平均转化成本
    public long conversionsCostHour;
    //总平均转化率
    public double conversionsRateAll;
    //天-总平均转化率
    public double conversionsRateDay;
    //小时-总平均转化率
    public double conversionsRateHour;
    //总首日下单roi
    public double firstDayOrderRoiTotal;
    //天-总首日下单roi
    public double firstDayOrderRoiDay;
    //小时-总首日下单roi
    public double firstDayOrderRoiHour;
    //总首日下单金额
    public long firstDayOrderAmountTotal;
    //天-总首日下单金额
    public long firstDayOrderAmountDay;
    //小时-总首日下单金额
    public long firstDayOrderAmountHour;
    //总首日下单量
    public long firstDayOrderCountTotal;
    //天-总首日下单量
    public long firstDayOrderCountDay;
    //小时-总首日下单量
    public long firstDayOrderCountHour;
    //总下单金额
    public long webOrderAmountTotal;
    //天-总下单金额
    public long webOrderAmountDay;
    //小时-总下单金额
    public long webOrderAmountHour;
    //总平均下单成本
    public long webOrderCostTotal;
    //天-总平均下单成本
    public long webOrderCostDay;
    //小时-总平均下单成本
    public long webOrderCostHour;
    //总平均下单率
    public double webOrderRateTotal;
    //天-总平均下单率
    public double webOrderRateDay;
    //小时-总平均下单率
    public double webOrderRateHour;
    //总平均下单量
    public long webOrderCountTotal;
    //天-总平均下单量
    public long webOrderCountDay;
    //小时-总平均下单量
    public long webOrderCountHour;
    //总下单ROI
    public double orderRoiTotal;
    //天-总下单roi
    public double orderRoiDay;
    //小时-总下单roi
    public double orderRoiHour;
    //总平均下单客单价
    public long orderUnitPriceTotal;
    //天-总平均下单客单价
    public long orderUnitPriceDay;
    //小时-总平均下单客单价
    public long orderUnitPriceHour;
    //总公众号关注量
    public long fromFollowUvTotal;
    //天-总公众号关注量
    public long fromFollowUvDay;
    //小时-总公众号关注量
    public long fromFollowUvHour;
    //总平均公众号关注成本
    public long fromFollowCostTotal;
    //天-总平均公众号关注成本
    public long fromFollowCostDay;
    //小时-总平均公众号关注成本
    public long fromFollowCostHour;
    //总平均公众号关注率
    public double fromFollowRateTotal;
    //天-总平均公众号关注率
    public double fromFollowRateDay;
    //小时-总平均公众号关注率
    public double fromFollowRateHour;
    //总注册数
    public long webRegisterCountTotal;
    //天-总注册数
    public long webRegisterCountDay;
    //小时-总注册数
    public long webRegisterCountHour;
    //总注册人数
    public long webRegisterUvTotal;
    //天-总注册人数
    public long webRegisterUvDay;
    //小时-总注册人数
    public long webRegisterUvHour;
    //总平均注册成本
    public double webRegisterCostTotal;
    //天-总平均注册成本
    public double webRegisterCostDay;
    //小时-总平均注册成本
    public double webRegisterCostHour;

}
