package flink.zanxiangnet.ad.monitoring.clickhouse.sink;

import flink.zanxiangnet.ad.monitoring.kafka.KafkaProperties;
import ru.yandex.clickhouse.settings.ClickHouseProperties;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.util.Properties;

public class ClickhouseUtil {
    private static Connection connection;
//    public static class database{
//        public static
//    }

    public static Connection getConn(Properties props,String host, String port, String database) throws ClassNotFoundException, SQLException {

        String clickhouseUrl = props.getProperty("clickhouse.url");
        String clickhouseUser = props.getProperty("clickhouse.username");
        String clickhousePassword = props.getProperty("clickhouse.password");

        Class.forName(clickhouseUrl);
        String user = clickhouseUser;
        String password = clickhousePassword;

        String address = "jdbc:clickhouse://" + host + ":" + port + "/" + database;
        connection = DriverManager.getConnection(address, user, password);
        return connection;
    }


    public void close() throws SQLException {
        connection.close();
    }

}
